DBM_Filter::null(3perl)

NAME
DBM_Filter::null - filter for DBM_Filter

SYNOPSIS
    use SDBM_File; # or DB_File, GDBM_File, NDBM_File, or ODBM_File
    use DBM_Filter ;

    $db = tie %hash, ...
    $db->Filter_Push('null');

DESCRIPTION
This filter ensures that all data written to the DBM file is null terminated. This is useful when you have a perl script that needs to interoperate with a DBM file that a C program also uses. A fairly common issue is for the C application to include the terminating null in a string when it writes to the DBM file. This filter will ensure that all data written to the DBM file can be read by the C application.

SEE ALSO
DBM_Filter, perldbmfilter

AUTHOR
Paul Marquess pmqs@cpan.org